%def_disable static
%def_enable shared

Name: valknut
Version: 0.4.8
Release: alt0.M41.1
Summary: Direct Connect client with QT gui
License: GPL
Group: Networking/File transfer
Url: http://dcgui.berlios.de

Packager: Evgeny V. Shishkov <shev@altlinux.org>

Source: %name-%version.tar.bz2

Requires: dclib >= 0.3.22

# Automatically added by buildreq on Tue Dec 09 2008
BuildRequires: dclib-devel gcc-c++ libqt4-devel

%description
This is a client for the direct connect file sharing protocol with
a nice GUI.

%prep
%setup -q

%build
%configure \
	%{subst_enable static} \
	%{subst_enable shared} \
	--enable-mt \
	--enable-debug=yes \
	--with-libdc=/usr/include/dclib

%make_build

%install
%make_install DESTDIR="%buildroot/" install

#documentation
%__mkdir_p %buildroot%_docdir/%name-%version/
%__install -pm644 %name/docs/en/fdl.xml %buildroot%_docdir/%name-%version/fdl.xml
%__install -pm644 %name/docs/en/manual.xml %buildroot%_docdir/%name-%version/manual.xml
%__install -pm644 %name/docs/en/readme.txt %buildroot%_docdir/%name-%version/readme.txt
%__install -pm644 COPYING %buildroot%_docdir/%name-%version/COPYING
%__install -pm644 COPYING.OpenSSL %buildroot%_docdir/%name-%version/COPYING.OpenSSL

%files
%_bindir/%name
%_datadir/%name/*
%_desktopdir/%name.desktop
%_miconsdir/%name.png
%_niconsdir/%name.png
%_liconsdir/%name.png
%_iconsdir/hicolor/128x128/apps/%name.png
%_iconsdir/hicolor/64x64/apps/%name.png
%_iconsdir/hicolor/24x24/apps/%name.png
%_iconsdir/hicolor/22x22/apps/%name.png
%_man1dir/*
%_docdir/%name-%version

%changelog
* Mon Jan 19 2009 Motsyo Gennadi <drool@altlinux.ru> 0.4.8-alt0.M41.1
- backport for M41

* Tue Dec 09 2008 Evgeny V. Shishkov <shev@altlinux.org> 0.4.8-alt1
- New version 0.4.8
- Delete patches

* Mon Apr 04 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.3.8-alt1
- CVS from 04042005.
- Added 'savelayout' patch by Robin Hill, updated to current cvs.
- Added ipfilter's readme for valknut, no GUI setup yet.

* Sat Jan 15 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.3.6-alt1
- CVS from 15012005.
- Automake patch.

* Mon Nov 22 2004 Pavlov Konstantin <thresh@altlinux.ru> 0.3.4-alt0.3
- CVS from 21112004
- Patch fixing (probably ;) problem with files with russian-named paths.

* Wed Oct 18 2004 Pavlov Konstantin <thresh@altlinux.ru> 0.3.4-alt0.2
- CVS from 18102004.

* Sun Aug 29 2004 Pavlov Konstantin <thresh@altlinux.ru> 0.3.4-alt0.1
- 0.3.4 CVS
- initial build

